<template>
  <div>
    <button :disabled="undefined" @click="undefined">
      Load One More
    </button>
    <Celebrity
      v-for="celebrity in celebrities"
      :key="celebrity.id"
      :celebrity="celebrity"
    />
  </div>
</template>

<script>
import Celebrity from "./Celebrity.vue";

export default {
  name: "Celebrities",

  props: {
    ids: {
      type: Array,
      required: true,
    },
  },

  components: {
    Celebrity,
  },

  data() {
    return {
      celebrities: [],
      currentIndex: 0,
      loading: false,
    };
  },

  methods: {
    fetchCelebrityById(id) {
      return fetch(
        `https://halloffame-server.herokuapp.com/fames/${id}?guest=true`
      );
    },

    loadOne() {
      // fetch a celebrity and update this.celebrities accordingly
    },
  },

  // load the first celebrity on initial load
};
</script>
